<?xml version="1.0"?>
<!-- This file is protected by Copyright. Please refer to the COPYRIGHT file
     distributed with this source distribution.

     This file is part of OpenCPI <http://www.opencpi.org>

     OpenCPI is free software: you can redistribute it and/or modify it under
     the terms of the GNU Lesser General Public License as published by the Free
     Software Foundation, either version 3 of the License, or (at your option)
     any later version.

     OpenCPI is distributed in the hope that it will be useful, but WITHOUT ANY
     WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for
     more details.

     You should have received a copy of the GNU Lesser General Public License
     along with this program. If not, see <http://www.gnu.org/licenses/>. -->
<componentspec>
  <property name="polynomial_taps" type="uchar" arraylength="64" writable="false" parameter="true" default="16,15,2"
    description="CRC polynomial taps."/>
  <property name="output_reflect" type="bool" writable="false" parameter="true" default="false"
    description="Endian of the CRC result, false is CRC most significant bit first and true is CRC least significant bit first."/>
  <property name="seed" type="ulonglong" writable="true" default="0" description="Initial seed for the CRC."/>
  <property name="final_xor" type="ulonglong" writable="true" default="0" description="Value to XOR the CRC result with."/>
  <port name="input" producer="false" protocol="bool_timed_sample-prot"/>
  <port name="output" producer="true" protocol="bool_timed_sample-prot"/>
</componentspec>
